<template>
  <game-entry-card
    v-if="gameEntrySelected.length > 0"
    :games="gameEntrySelected"
  />
  <lazy-lobby-no-game-message v-else class="modern-mobile-message" />
</template>

<script lang="ts">
import { defineComponent } from "vue";
import GameEntryCard from "./game-entry-card.client.vue";
import { useGameEntryBaseOnTabSelected } from "@/composables/useTheme";

export default defineComponent({
  components: {
    GameEntryCard,
  },
  setup() {
    const { gameEntrySelected } = useGameEntryBaseOnTabSelected();
    return {
      gameEntrySelected,
    };
  },
});
</script>

<style scoped>
.modern-mobile-message {
  font-size: 5vw;
  font-size: min(5vw, 72px);
}
</style>
